Page MenuHomePhabricator

PHP Notice: Undefined index: sr-ec in MessageCache.php on line 1093
Closed, ResolvedPublic

Description

This notice is happening on translatewiki.net with frequence approximately once a day:
PHP Notice: Undefined index: diq in /srv/mediawiki/tags/2019-01-10_14:56:22/includes/cache/MessageCache.php on line 1093

There doesn't seem to be clear pattern for the language codes.

Originally reported in T208897#4757826

I don't find this in Logstash, so doesn't seem to happen in WMF production.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 7:32 AM
[stacktrace]
#0 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/cache/MessageCache.php(1098): MWExceptionHandler::handleError(8, 'Undefined index...', '/srv/mediawiki/...', 1098, Array)
#1 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/cache/MessageCache.php(977): MessageCache->getMsgFromNamespace('Comma-separator...', 'es')
#2 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/cache/MessageCache.php(947): MessageCache->getMessageForLang(Object(Language), 'comma-separator', true, Array)
#3 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/cache/MessageCache.php(889): MessageCache->getMessageFromFallbackChain(Object(Language), 'comma-separator', true)
#4 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/language/Message.php(1308): MessageCache->get('comma-separator', true, Object(Language))
#5 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/language/Message.php(863): Message->fetchMessage()
#6 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/language/Message.php(992): Message->toString('escaped')
#7 /srv/mediawiki/tags/2019-08-05_17:46:12/languages/Language.php(3473): Message->escaped()
#8 /srv/mediawiki/tags/2019-08-05_17:46:12/extensions/Translate/MessageChecks.php(241): Language->commaList(Array)
#9 /srv/mediawiki/tags/2019-08-05_17:46:12/extensions/Translate/MessageChecks.php(138): MessageChecker->fixMessageParams(Array)
#10 /srv/mediawiki/tags/2019-08-05_17:46:12/extensions/Translate/TranslateEditAddons.php(289): MessageChecker->checkMessage(Object(FatMessage), 'es')
#11 /srv/mediawiki/tags/2019-08-05_17:46:12/extensions/Translate/TranslateEditAddons.php(224): TranslateEditAddons::checkNeedsFuzzy(Object(MessageHandle), '{{GENDER:$1|pro...')
#12 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/Hooks.php(174): TranslateEditAddons::onSave(Object(WikiPage), Object(User), Object(WikitextContent), 'La RAE acepta '...', 0, NULL, NULL, 65, Object(Revision), Object(Status), false, 0)
#13 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/Hooks.php(202): Hooks::callHook('PageContentSave...', Array, Array, NULL)
#14 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/Storage/PageUpdater.php(1238): Hooks::run('PageContentSave...', Array)
#15 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/libs/rdbms/database/Database.php(3901): MediaWiki\\Storage\\PageUpdater->MediaWiki\\Storage\\{closure}(Object(Wikimedia\\Rdbms\\DatabaseMysqli), 'MediaWiki\\\\Stora...')
#16 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/libs/rdbms/database/DBConnRef.php(53): Wikimedia\\Rdbms\\Database->doAtomicSection('MediaWiki\\\\Stora...', Object(Closure))
#17 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/libs/rdbms/database/DBConnRef.php(630): Wikimedia\\Rdbms\\DBConnRef->__call('doAtomicSection', Array)
#18 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/deferred/AtomicSectionUpdate.php(39): Wikimedia\\Rdbms\\DBConnRef->doAtomicSection('MediaWiki\\\\Stora...', Object(Closure))
#19 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/deferred/DeferredUpdates.php(309): AtomicSectionUpdate->doUpdate()
#20 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/deferred/DeferredUpdates.php(265): DeferredUpdates::attemptUpdate(Object(AtomicSectionUpdate), Object(Wikimedia\\Rdbms\\LBFactorySimple))
#21 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/deferred/DeferredUpdates.php(217): DeferredUpdates::handleUpdate(Object(AtomicSectionUpdate), Object(Wikimedia\\Rdbms\\LBFactorySimple), 'run', 1)
#22 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/deferred/DeferredUpdates.php(140): DeferredUpdates::handleUpdateQueue(Array, 'run', 1)
#23 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/MediaWiki.php(600): DeferredUpdates::doUpdates('run', 1)
#24 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/api/ApiMain.php(548): MediaWiki::preOutputCommit(Object(DerivativeContext))
#25 /srv/mediawiki/tags/2019-08-05_17:46:12/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#26 /srv/mediawiki/tags/2019-08-05_17:46:12/api.php(87): ApiMain->execute()
#27 {main}
Nikerabbit closed this task as Resolved.Oct 16 2019, 12:19 PM
Nikerabbit claimed this task.

Not seen in our logs (about a month).